Mautic Community Forums

Issues with version 2.1

Hi guys,



I love Mautic but it can become frustrating especially after a new version comes out.



I was able to upgrade semi-successfully from v.1.4 to 2.1 but now I find that several things don’t work as they did.



I find that Emails are not easy to open, while clicking inside the application is also unresponsive, which gets to be very frustrating.



So far the error log tells me the following, but I’m not able to understand much. Can anyone help point me in the right direction, please?

Code:
[2016-08-19 09:01:07] mautic.ERROR: An error occurred while attempting to fetch updates: Operation timed out after 0 milliseconds with 0 out of 0 bytes received [] [] [2016-08-19 09:04:38] mautic.ERROR: An error occurred while attempting to fetch the language list: Operation timed out after 0 milliseconds with 0 out of 0 bytes received [] [] [2016-08-19 12:35:26] mautic.ERROR: Deprecation: The alias option of the form.type_extension tag of service "fos_rest.form.extension.csrf_disable" is deprecated since version 2.8 and will be removed in 3.0. Use the extended_type option instead. - in file /home/albkrist/public_html/cms/vendor/symfony/framework-bundle/DependencyInjection/Compiler/FormPass.php - at line 67 [] [] [2016-08-19 12:35:48] mautic.ERROR: Deprecation: The alias option of the form.type_extension tag of service "fos_rest.form.extension.csrf_disable" is deprecated since version 2.8 and will be removed in 3.0. Use the extended_type option instead. - in file /home/albkrist/public_html/cms/vendor/symfony/framework-bundle/DependencyInjection/Compiler/FormPass.php - at line 67 [] []

Hi guys,

I love Mautic but it can become frustrating especially after a new version comes out.

I was able to upgrade semi-successfully from v.1.4 to 2.1 but now I find that several things don’t work as they did.

I find that Emails are not easy to open, while clicking inside the application is also unresponsive, which gets to be very frustrating.

So far the error log tells me the following, but I’m not able to understand much. Can anyone help point me in the right direction, please?

[2016-08-19 09:01:07] mautic.ERROR: An error occurred while attempting to fetch updates: Operation timed out after 0 milliseconds with 0 out of 0 bytes received [] [] [2016-08-19 09:04:38] mautic.ERROR: An error occurred while attempting to fetch the language list: Operation timed out after 0 milliseconds with 0 out of 0 bytes received [] [] [2016-08-19 12:35:26] mautic.ERROR: Deprecation: The alias option of the form.type_extension tag of service "fos_rest.form.extension.csrf_disable" is deprecated since version 2.8 and will be removed in 3.0. Use the extended_type option instead. - in file /home/albkrist/public_html/cms/vendor/symfony/framework-bundle/DependencyInjection/Compiler/FormPass.php - at line 67 [] [] [2016-08-19 12:35:48] mautic.ERROR: Deprecation: The alias option of the form.type_extension tag of service "fos_rest.form.extension.csrf_disable" is deprecated since version 2.8 and will be removed in 3.0. Use the extended_type option instead. - in file /home/albkrist/public_html/cms/vendor/symfony/framework-bundle/DependencyInjection/Compiler/FormPass.php - at line 67 [] []

Hi @eplaku,
I have a similar problem than yours but my log is a bit different and I came from a fresh install of Mautic on my server.

[2016-08-19 16:20:48] mautic.ERROR: SCHEMA ERROR: An exception occurred while executing 'SELECT f.alias, f.is_unique_identifer as is_unique, f.type FROM mt_lead_fields f ORDER BY f.field_order ASC': SQLSTATE[42S02]: Base table or view not found: 1146 Table 'skillsan_mautic2.mt_lead_fields' doesn't exist [] [] [2016-08-19 16:20:50] mautic.ERROR: Deprecation: The alias option of the form.type_extension tag of service "fos_rest.form.extension.csrf_disable" is deprecated since version 2.8 and will be removed in 3.0. Use the extended_type option instead. - in file /home/skillsan/public_html/email/vendor/symfony/framework-bundle/DependencyInjection/Compiler/FormPass.php - at line 67 [] [] [2016-08-19 16:22:27] mautic.WARNING: IP LOOKUP: The file "/home/skillsan/public_html/email/app/cache/prod/../ip_data/GeoLite2-City.mmdb" does not exist or is not readable. [] [] [2016-08-19 16:22:27] mautic.ERROR: Error: Class 'SymfonyBundleFrameworkBundleTemplatingHelperTranslatorHelper' not found - in file /home/skillsan/public_html/email/app/bundles/CoreBundle/Templating/Helper/TranslatorHelper.php - at line 17 [] [] [2016-08-19 16:22:39] mautic.ERROR: Error: Class 'SymfonyBundleFrameworkBundleTemplatingHelperTranslatorHelper' not found - in file /home/skillsan/public_html/email/app/bundles/CoreBundle/Templating/Helper/TranslatorHelper.php - at line 17 [] [] [2016-08-19 16:22:43] mautic.ERROR: Error: Class 'SymfonyBundleFrameworkBundleTemplatingHelperTranslatorHelper' not found - in file /home/skillsan/public_html/email/app/bundles/CoreBundle/Templating/Helper/TranslatorHelper.php - at line 17 [] [] [2016-08-19 16:22:52] mautic.ERROR: Error: Class 'SymfonyBundleFrameworkBundleTemplatingHelperTranslatorHelper' not found - in file /home/skillsan/public_html/email/app/bundles/CoreBundle/Templating/Helper/TranslatorHelper.php - at line 17 [] [] [2016-08-19 16:22:54] mautic.ERROR: Error: Class 'SymfonyBundleFrameworkBundleTemplatingHelperTranslatorHelper' not found - in file /home/skillsan/public_html/email/app/bundles/CoreBundle/Templating/Helper/TranslatorHelper.php - at line 17 [] [] [2016-08-19 16:22:55] mautic.ERROR: Error: Class 'SymfonyBundleFrameworkBundleTemplatingHelperTranslatorHelper' not found - in file /home/skillsan/public_html/email/app/bundles/CoreBundle/Templating/Helper/TranslatorHelper.php - at line 17 [] []

Which are your errors? I have some problem too because each time I hit the Save&Close button it seems that Mautic is working from the upper bar but then everything stops and I am kept on the page that is supposed to be close.

I’ve checked for JavaScript errors but the console does’t show anything…

Guys this is frustrating, now I cannot even send emails.

Anyone know how to solve this:

mautic.ERROR: Deprecation: The alias option of the form.type_extension tag of service "fos_rest.form.extension.csrf_disable" is deprecated since version 2.8 and will be removed in 3.0. Use the extended_type option instead.

I upgraded to 2.1, with various issues, there are a few too many, they can be resolved though. Schema errors in @andrea’s case, may be flagging db updates didn’t complete, that may also be the case for @eplaku… you can try to run the schema updates again with the command > php app/console doctrine:schema:update . Actually you can also do a fresh install to a different --test-- location, then compare the 2 schema s and use alter table from sql as needed. If you don’t have sql access you can get mysql workbench. Keep the test environment for future updates and always apply upgrades to the test env first. More about > upgrade issues

Hi MxyzptlkFishStix,

I have a completely new installation (from today) and have come up against the same issue. I’ll add details to the separate ticket/thread tomorrow. I’ve literally spent two days getting this install going and can’t quit now – but need to call it a day.

Thanks for the patience. Expect details on my specific server environment tomorrow (most info you have already).

Ray

Hi,

I am having the same issue while importing csv. I’ve imported csv for microsoft excel and from libreoffice but still the same.
Mautic see the csv file, see the columns and ask to put them right accordingly but when hit import button it says wait to import ( 0 of 1901) and stays like this all night.

When i checked the logs i’ve found this:

[2016-09-05 23:09:45] mautic.ERROR: SCHEMA ERROR: An exception occurred while executing ‘SELECT f.alias, f.is_unique_identifer as is_unique, f.type FROM lead_fields f ORDER BY f.field_order ASC’: SQLSTATE[42S02]: Base table or view not found: 1146 Table ‘zmuth_mautic.lead_fields’ doesn’t exist [] []
[2016-09-05 23:09:46] mautic.ERROR: Deprecation: The alias option of the form.type_extension tag of service “fos_rest.form.extension.csrf_disable” is deprecated since version 2.8 and will be removed in 3.0. Use the extended_type option instead. - in file /home/zmuth/public_html/Mautic/vendor/symfony/framework-bundle/DependencyInjection/Compiler/FormPass.php - at line 67 [] []
[2016-09-05 23:10:56] mautic.ERROR: Deprecation: The alias option of the form.type_extension tag of service “fos_rest.form.extension.csrf_disable” is deprecated since version 2.8 and will be removed in 3.0. Use the extended_type option instead. - in file /home/zmuth/public_html/Mautic/vendor/symfony/framework-bundle/DependencyInjection/Compiler/FormPass.php - at line 67 [] []

What should i do now?

@zmuth since it’s not finding lead_field table, assuming your db name is zmuth_mautic, and that’s correct,
have you tried php app/console doctrine:schema:update ?

The SCHEMA ERROR with lead_fields is issue https://github.com/mautic/mautic/issues/3436

It means that some indexes on the lead_fields table might not be created (or might get created anyway later in the database migrations/updates process). Not having the indexes is going to be a performance issue when looking up the table by the relevant fields, but I would think that queries are still going to work - just not as quickly.